%define prel pre20
%define	major 1
%define	libname	%mklibname sndfile %{major}
%define develname %mklibname sndfile -d
%define staticname %mklibname sndfile -d -s
%define build_octave 0

Summary:	A library to handle various audio file formats
Name:		libsndfile
Version:	1.0.18
Release:	%mkrel 1.%{prel}.1
License:	LGPLv2+
Group:		Sound
URL:		http://www.mega-nerd.com/libsndfile/
Source0:	http://www.mega-nerd.com/libsndfile/%{name}-%{version}%{prel}.tar.gz
BuildRequires:	libogg-devel
BuildRequires:	sqlite3-devel
BuildRequires:	libflac-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

%package -n %{libname}
Summary:	Shared library of sndfile
Group:		System/Libraries

%description -n	%{libname}
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

This package contains the shared library to run applications based on
libsndfile.

%package -n %{develname}
Summary:	Libraries, includes, etc to develop libsndfile applications 
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	libflac-devel
Provides:	sndfile-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname sndfile 1 -d

%description -n	%{develname}
Libraries, include files, etc you can use to develop libsndfile applications.

%package -n %{staticname}
Summary:	Static Library for developing libsndfile applications
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Obsoletes:	%mklibname sndfile 1 -d -s

%description -n	%{staticname}
This contains the static library of libsndfile needed for building apps that
link statically to libsndfile.

%package progs
Summary:	Example progs based on libsndfile
Group:		Sound 

%description	progs
This contains sndfile-info for printing information about a sound
file and sndfile-play for playing a sound file.


%if %build_octave
%package octave
Summary:	Octave modules based on libsndfile
Group:		Sound 
Conflicts: libsndfile-progs < 1.0.18-0.pre17.1mdv
BuildRequires:	octave3-devel

%description octave
This contains octave modules based on libsndfile for reading, writing and 
playing audio files.
%endif

%prep

%setup -qn %{name}-%{version}%{prel}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot} 

%makeinstall_std 
rm -rf %{buildroot}%{_includedir}/FLAC

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS INSTALL NEWS README TODO
%{_libdir}/libsndfile.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc %{_docdir}/libsndfile1-dev
%doc ChangeLog 
%attr(644,root,root) %{_libdir}/libsndfile.la
%{_libdir}/libsndfile.so
%{_includedir}/sndfile.h
%{_includedir}/sndfile.hh
%{_libdir}/pkgconfig/sndfile.pc

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libsndfile.a

%files progs
%defattr(-,root,root)
%{_bindir}/sndfile-*
%{_mandir}/man1/*

%if %build_octave
%files octave
%defattr(-,root,root)
%{_datadir}/octave/
%_libdir/octave/*/site/oct/*/*.oct
%endif


%changelog
* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.18-1.pre20.1mdv2008.1
+ Revision: 173754
- new prerelease
- new license policy

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.18-1.pre19.1mdv2008.1
+ Revision: 148600
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- do not package big ChangeLog

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 07 2007 Götz Waschk <waschk@mandriva.org> 1.0.18-0.pre19.1mdv2008.1
+ Revision: 116243
- new version

* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 1.0.18-0.pre18.1mdv2008.1
+ Revision: 101137
- new version

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 1.0.18-0.pre17.1mdv2008.1
+ Revision: 96686
- new prerelease
- drop the patch
- add support for octave, but disable it by default

* Mon Oct 01 2007 Götz Waschk <waschk@mandriva.org> 1.0.18-0.pre11.7mdv2008.0
+ Revision: 94331
- fix oden's fix
- security update (bug #34388, CVE-2007-4974)

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix CVE-2007-4974

* Wed Jun 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.18-0.pre11.6mdv2008.0
+ Revision: 44810
- add more provides

* Sun Jun 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.18-0.pre11.5mdv2008.0
+ Revision: 43667
- adjust obsoletes

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.18-0.pre11.4mdv2008.0
+ Revision: 43482
- new devel library policy

* Thu Jun 14 2007 Helio Chissini de Castro <helio@mandriva.com> 1.0.18-0.pre11.3mdv2008.0
+ Revision: 39359
- Add flac requires. If you intend to compile with flac resources, prefer external library instead of internal one, conflicting with libflac-devel on includes install

* Thu Jun 14 2007 Götz Waschk <waschk@mandriva.org> 1.0.18-0.pre11.2mdv2008.0
+ Revision: 39316
- remove conflicting flac headers

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.18-0.pre11.1mdv2008.0
+ Revision: 38952
- prerelease 11
- fix file list
- spec file clean

* Tue May 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.18-0.pre8.1mdv2008.0
+ Revision: 20133
- update to the 1.0.18pre8 version
- drop P0
- drop auto* aclocal actions


* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.0.17-5mdv2007.0
+ Revision: 94980
- fix buildrequires
- fix buildrequires
- fix buildrequires
- Import libsndfile

* Mon Dec 11 2006 Gtz Waschk <waschk@mandriva.org> 1.0.17-3mdv2007.1
- patch for new libflac

* Mon Sep 04 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.17-2mdv2007.0
- add provides for static package

* Fri Sep 01 2006 Gtz Waschk <waschk@mandriva.org> 1.0.17-1mdv2007.0
- update file list
- New release 1.0.17

* Mon May 01 2006 Götz Waschk <waschk@mandriva.org> 1.0.16-1mdk
- New release 1.0.16

* Fri Mar 17 2006 Götz Waschk <waschk@mandriva.org> 1.0.15-1mdk
- New release 1.0.15

* Tue Feb 21 2006 Götz Waschk <waschk@mandriva.org> 1.0.14-1mdk
- New release 1.0.14

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 1.0.13-1mdk
- New release 1.0.13
- use mkrel

* Wed Oct 05 2005 Gtz Waschk <waschk@mandriva.org> 1.0.12-1mdk
- fix buildrequires
- New release 1.0.12

* Mon Nov 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.11-1mdk
- New release 1.0.11

* Thu Jun 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.10-1mdk
- fix url
- reenable libtoolize
- New release 1.0.10

* Fri Apr 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.9-1mdk
- 1.0.9
- fix libtoolize

